const _ = require("lodash");
const MiniCssExtractPlugin = require("mini-css-extract-plugin");
const miniCssLoaders = function(loaders, isDev) {
  loaders = _.isArray(loaders) ? loaders : [loaders];
  loaders.unshift({
    loader: MiniCssExtractPlugin.loader,
    options: {
      // only enable hot in development
      hmr: isDev,
      // if hmr does not work, this is a forceful method.
      reloadAll: isDev,
    },
  });
  if (isDev) {
    loaders.unshift("vue-style-loader");
  }
  return loaders;
};
module.exports = miniCssLoaders;
